org.codehaus.groovy.runtime.powerassert

## Class SourceTextNotAvailableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.codehaus.groovy.runtime.powerassert.SourceTextNotAvailableException

- All Implemented Interfaces:
    java.io.Serializable

      public class SourceTextNotAvailableException
      extends java.lang.RuntimeException

  Indicates that the source text for an assertion statement is not available.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceTextNotAvailableException(AssertStatement stat, SourceUnit unit, java.lang.String msg)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceTextNotAvailableException

          public SourceTextNotAvailableException(AssertStatement stat,
                                         SourceUnit unit,
                                         java.lang.String msg)